RSS

LuxCal Forum

The place for questions, suggestions and news about the LuxCal Event Calendar

User:   Password:   Remember Me?   
LuxCal Forum / LuxCal / Known Issues and Fixes / Mini Calendar error
Posted:  19 Apr 2015 16:41
I am getting the following error message appearing above the mini calendar.

Deprecated: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in /homepages/30/d69739664/htdocs/*mywebsite*/luxcal323-calendar/common/toolbox.php on line 232

Please advise what course of action I should take.

Ritch

Wordpress 4.4.1
Megazine theme 1.09
Luxcal 3.2.3
Posted:  19 Apr 2015 19:27
I should add that I am on PHP 5.6
Posted:  21 Apr 2015 05:04   Last Edited By: Roel B.
Hi Ritch,
This is a warning message from PHP, because since PHP 5.5 the usual MySQL extension is deprecated. You probably switched to a higher PHP version and that's why you now get this warning message.
We are working on a next LuxCal version based on the new PHP data objects (PDO) MySQL extension which will solve this problem.

For the time being I suggest to edit the file lcmini.php in the calendar root directory and replace line 61 by . . .

Code:


error_reporting(0); // no reporting

Roel
Posted:  21 Apr 2015 07:23
Many thanks, Roel.

That did the trick.